List Deposit Bank Accounts

GEThttps://bank.dattaremit.com/api/deposit_bank_accounts

Requires a bank-scoped key.

Retrieves a list of deposit bank accounts. Records are sorted by creation date in descending order.

Required scope: deposit_bank_accounts:read

Query Params

pageinteger

The page index to retrieve.

per_pageinteger

The number of entities per page to return.

guidstring

Comma separated guids to list deposit bank accounts for.

bank_guidstring

Comma separated bank_guids to list deposit bank accounts for.

customer_guidstring

Comma separated customer_guids to list deposit bank accounts for.

labelstring

Comma separated labels to list deposit bank accounts for.

unique_memo_idstring

Comma separated unique memo ids to list deposit bank accounts for.

typestring

Comma separated types to list deposit bank accounts for.

statestring

Comma separated states to list deposit bank accounts for.

parent_deposit_bank_account_guidstring

Comma separated guids for parent accounts to list deposit bank accounts for.

Responses

200

get list of deposit bank accounts

400

Invalid requests

401

Unauthorized - Authentication failed

403

Invalid scope

Request

curl https://api.dattaremit.com/api/deposit_bank_accounts \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

get list of deposit bank accounts

{
  "total": 1,
  "page": 1,
  "per_page": 1,
  "objects": [
    {
      "guid": "string",
      "name": "string",
      "type": "string",
      "bank_guid": "string",
      "customer_guid": "string",
      "account_guid": "string",
      "created_at": "2026-07-20T16:27:51.438Z",
      "updated_at": "2026-07-20T16:27:51.438Z",
      "deleted_at": "2026-07-20T16:27:51.438Z",
      "asset": "string",
      "state": "string",
      "unique_memo_id": "string",
      "counterparty_name": "string",
      "counterparty_address": {
        "street": "string",
        "street2": "string",
        "city": "string",
        "subdivision": "string",
        "postal_code": "string",
        "country_code": "string"
      },
      "account_details": [
        {
          "account_number": "string"
        }
      ],
      "routing_details": [
        {
          "routing_number_type": "string",
          "routing_number": "string"
        }
      ],
      "parent_deposit_bank_account_guid": "string",
      "labels": [
        "string"
      ]
    }
  ]
}